package ru.ulstu.extractor.heuristic.model;

import java.io.File;

import static ru.ulstu.extractor.util.StringUtils.removePathPrefix;

public abstract class StructuralUnit {
    private final String pathToFile;
    private final String unitName;

    public StructuralUnit(String projectPath, File file) {
        this.pathToFile = removePathPrefix(file.getPath(), projectPath);
        this.unitName = file.getName();
    }

    public String getPathToFile() {
        return pathToFile;
    }

    public String getUnitName() {
        return unitName;
    }
}
