package ru.ulstu.extractor.heuristic.component;

import java.io.File;
import java.util.List;

public abstract class BuildTool {
    private final String name;

    public BuildTool(String name) {
        this.name = name;
    }

    public abstract boolean canAppliedToProject(List<File> rootProjectFiles);

    public String getName() {
        return name;
    }

    public abstract String getSourceDirectoryPath();
}
